Bug 851660 - avr-size missing -C (avr) option
avr-size missing -C (avr) option
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: avr-binutils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 11:43 EDT by Phip
Modified: 2012-12-03 23:53 EST (History)
5 users (show)

See Also:
Fixed In Version: avr-binutils-2.23.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-03 23:53:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 576676 None None None 2012-08-24 11:43:10 EDT

  None (edit)
Description Phip 2012-08-24 11:43:10 EDT
Description of problem:
The -C (avr) option is missing from the avr-size command. The patch seems to originate from winavr, and is expected by example code distributed by Atmel.

Version-Release number of selected component (if applicable):
avr-binutils-2.20-3

How reproducible:
Always

Steps to Reproduce:
avr-size --help
  
Actual results:
"-A|-B --format={sysv|berkeley}"

Expected results:
"-A|-B|-C --format={sysv|berkeley|avr}"

Additional info:
http://winavr.svn.sourceforge.net/viewvc/winavr/trunk/patches/binutils/2.19/30-binutils-2.19-avr-size.patch?view=log
Comment 1 Fedora Update System 2012-11-16 03:39:47 EST
avr-binutils-2.23.1-1.fc18,avr-gcc-4.7.2-1.fc18,avr-libc-1.8.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/avr-binutils-2.23.1-1.fc18,avr-gcc-4.7.2-1.fc18,avr-libc-1.8.0-1.fc18
Comment 2 Fedora Update System 2012-11-16 03:45:28 EST
avr-libc-1.8.0-1.fc17,avr-gcc-4.7.2-1.fc17,avr-binutils-2.23.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/avr-libc-1.8.0-1.fc17,avr-gcc-4.7.2-1.fc17,avr-binutils-2.23.1-1.fc17
Comment 3 Fedora Update System 2012-11-17 18:52:00 EST
Package avr-libc-1.8.0-1.fc17, avr-gcc-4.7.2-1.fc17, avr-binutils-2.23.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing avr-libc-1.8.0-1.fc17 avr-gcc-4.7.2-1.fc17 avr-binutils-2.23.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18420/avr-libc-1.8.0-1.fc17,avr-gcc-4.7.2-1.fc17,avr-binutils-2.23.1-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-27 00:33:43 EST
avr-binutils-2.23.1-1.fc18, avr-gcc-4.7.2-1.fc18, avr-libc-1.8.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-12-03 23:53:15 EST
avr-libc-1.8.0-1.fc17, avr-gcc-4.7.2-1.fc17, avr-binutils-2.23.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.